#基础镜像
FROM nginx:1.25.1
# 复制自定义Nginx配置文件
COPY conf/ /etc/nginx/

# 复制SSL证书和密钥到容器
COPY ssl/scs1696761857510_www.tingnin.cn_server.crt /etc/nginx/ssl/ssl.pem
COPY ssl/scs1696761857510_www.tingnin.cn_server.key /etc/nginx/ssl/ssl.key

#解决中文乱码问题
#ENV LANG C.UTF-8
#ENV LANGUAGE zh_CN.UTF-8
#ENV LC_ALL C.UTF-8
#ENV TZ Asia/Shanghai
#其他沿用








#docker inspect，这段信息别动
#[
#    {
#        "Id": "sha256:021283c8eb95be02b23db0de7f609d603553c6714785e7a673c6594a624ffbda",
#        "RepoTags": [
#            "nginx:1.25.1",
#            "nginx:latest"
#        ],
#        "RepoDigests": [
#            "nginx@sha256:08bc36ad52474e528cc1ea3426b5e3f4bad8a130318e3140d6cfe29c8892c7ef"
#        ],
#        "Parent": "",
#        "Comment": "",
#        "Created": "2023-07-04T17:24:26.955102691Z",
#        "Container": "1202d20005c45c16a7c97a3e50ae2a74113557f6645062e78797c946247d12e3",
#        "ContainerConfig": {
#            "Hostname": "1202d20005c4",
#            "Domainname": "",
#            "User": "",
#            "AttachStdin": false,
#            "AttachStdout": false,
#            "AttachStderr": false,
#            "ExposedPorts": {
#                "80/tcp": {}
#            },
#            "Tty": false,
#            "OpenStdin": false,
#            "StdinOnce": false,
#            "Env": [
#                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
#                "NGINX_VERSION=1.25.1",
#                "NJS_VERSION=0.7.12",
#                "PKG_RELEASE=1~bookworm"
#            ],
#            "Cmd": [
#                "/bin/sh",
#                "-c",
#                "#(nop) ",
#                "CMD [\"nginx\" \"-g\" \"daemon off;\"]"
#            ],
#            "Image": "sha256:bd2050702d728548dc037af4a4da56f38fb4b774ca1e6beaa6079fdfb01733ed",
#            "Volumes": null,
#            "WorkingDir": "",
#            "Entrypoint": [
#                "/docker-entrypoint.sh"
#            ],
#            "OnBuild": null,
#            "Labels": {
#                "maintainer": "NGINX Docker Maintainers <docker-maint@nginx.com>"
#            },
#            "StopSignal": "SIGQUIT"
#        },
#        "DockerVersion": "20.10.23",
#        "Author": "",
#        "Config": {
#            "Hostname": "",
#            "Domainname": "",
#            "User": "",
#            "AttachStdin": false,
#            "AttachStdout": false,
#            "AttachStderr": false,
#            "ExposedPorts": {
#                "80/tcp": {}
#            },
#            "Tty": false,
#            "OpenStdin": false,
#            "StdinOnce": false,
#            "Env": [
#                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
#                "NGINX_VERSION=1.25.1",
#                "NJS_VERSION=0.7.12",
#                "PKG_RELEASE=1~bookworm"
#            ],
#            "Cmd": [
#                "nginx",
#                "-g",
#                "daemon off;"
#            ],
#            "Image": "sha256:bd2050702d728548dc037af4a4da56f38fb4b774ca1e6beaa6079fdfb01733ed",
#            "Volumes": null,
#            "WorkingDir": "",
#            "Entrypoint": [
#                "/docker-entrypoint.sh"
#            ],
#            "OnBuild": null,
#            "Labels": {
#                "maintainer": "NGINX Docker Maintainers <docker-maint@nginx.com>"
#            },
#            "StopSignal": "SIGQUIT"
#        },
#        "Architecture": "amd64",
#        "Os": "linux",
#        "Size": 186855082,
#        "VirtualSize": 186855082,
#        "GraphDriver": {
#            "Data": {
#                "LowerDir": "/var/lib/docker/overlay2/9a85d46f172305edce5b1d949b451d834a2f77362ed6ced8841022bd8f6952f4/diff:/var/lib/docker/overlay2/9f336a267ef8dca2de512c2c6b75766ee8b963bbb0217002f96d2149b98e3d81/diff:/var/lib/docker/overlay2/99bb4d53dcb69708b9dad1f0eb21230653c50a80741c92ffdb6ec25e0bd2040b/diff:/var/lib/docker/overlay2/d70f0421dfb34e8f8c103254543d3ea8b347756b9585c9b2626d3112ea59fc1e/diff:/var/lib/docker/overlay2/490f91813e424fa9589b7f216f15d531d3be871ebf9bddf2e1d04927494d79c7/diff:/var/lib/docker/overlay2/e1dbdb73ff65e42cc6256c28837111149b2f3070b0192d7ba9367c4d470d9e7b/diff",
#                "MergedDir": "/var/lib/docker/overlay2/60aac90f37e722474c0160cd679c5a6ca962249f88a42f6a0f3decd3ecec59f7/merged",
#                "UpperDir": "/var/lib/docker/overlay2/60aac90f37e722474c0160cd679c5a6ca962249f88a42f6a0f3decd3ecec59f7/diff",
#                "WorkDir": "/var/lib/docker/overlay2/60aac90f37e722474c0160cd679c5a6ca962249f88a42f6a0f3decd3ecec59f7/work"
#            },
#            "Name": "overlay2"
#        },
#        "RootFS": {
#            "Type": "layers",
#            "Layers": [
#                "sha256:24839d45ca455f36659219281e0f2304520b92347eb536ad5cc7b4dbb8163588",
#                "sha256:b821d93f6666533e9d135afb55b05327ee35823bb29014d3c4744b01fc35ccc5",
#                "sha256:1998c5cd2230129d55a6d8553cd57df27a400614a4d7d510017467150de89739",
#                "sha256:f36897eea34df8a4bfea6e0dfaeb693eea7654cd7030bb03767188664a8a7429",
#                "sha256:9fdfd12bc85b7a97fef2d42001735cfc5fe24a7371928643192b5494a02497c1",
#                "sha256:434c6a715c30517afd50547922c1014d43762ebbc51151b0ecee9b0374a29f10",
#                "sha256:3c9d04c9ebd5324784eb9a556a7507c5284aa7353bac7a727768fed180709a69"
#            ]
#        },
#        "Metadata": {
#            "LastTagTime": "0001-01-01T00:00:00Z"
#        }
#    }
#]